# -*- coding: utf-8 -*-
Name: lufs
Version: 0.9.7captive8
Release: alt3smbfs

Summary: Linux Userland File System
License: GPL
Group: System/Kernel and hardware
Url: http://lufs.sourceforge.net
Source0: %name-%version.tar.bz2
Source1: lufs-Makefile24
Source2: lufs-Makefile26
Source3: lufsmnt.control
Source4: http://blind.hotbox.ru/smbfs.tar.bz2
# See RFE 604237 at http//lufs.sf.net for details
Packager: Alexey Morozov <morozov@altlinux.org>

Patch0: lufs-0.9.7captive8-alt-gnetfs-textrel.patch
Patch1: lufs-0.9.7captive8-smbfs-configure.in.patch
Patch2: lufs-0.9.7captive8-smbfs-Makefile.am.patch
BuildRequires: gcc gcc-c++ gcc-c++-common libstdc++-devel libtool-common openssh-clients kernel-build-tools samba-client-devel

%description 

LUFS is a hybrid kernel/userspace filesystem framework supporting many
filesystems: sshfs, ftpfs, localfs, locasefs, gvfs, cardfs, cefs, etc.
Lots of other "exotic" filesystems are in the planning phase:
socketfs, httpfs, freenetfs and others.

This package includes LUFS daemon, mount helpers and
a 'proof-of-concept' localfs plugin

%description -l ru_RU.UTF-8
LUFS - это гибридная среда для файловых систем, для которой существует
множество модулей: sshfs, ftpfs, localfs, locasefs, gvfs, cardfs, cefs
и т.д. Множество других модулей для "экзотических" файловых систем:
socketfs, httpfs, freenetfs и др., - сейчас находятся в стадии
планирования.

Этот пакет содержит демон LUFS, вспомогательные программы для
монтирования и "проверочный" модуль localfs

%package plugins
Summary: Filesystem plugins for LUFS
Group: System/Kernel and hardware
Requires: lufs = %version
%description plugins
LUFS is a hybrid kernel/userspace filesystem framework supporting many
filesystems: sshfs, ftpfs, localfs, locasefs, gvfs, cardfs, cefs, etc.
Lots of other "exotic" filesystems are in the planning phase:
socketfs, httpfs, freenetfs and others.

This package contains basic LUFS filesystem modules:
	ftpfs    - remote FTP filesystem
	sshfs    - SSH filesystem
	gnetfs   - Gnutella filesystem
	locasefs - filesystem with lower case filenames translation

%description plugins -l ru_RU.UTF-8
LUFS - это гибридная среда для файловых систем, для которой существует
множество модулей: sshfs, ftpfs, localfs, locasefs, gvfs, cardfs, cefs
и т.д. Множество других модулей для "экзотических" файловых систем:
socketfs, httpfs, freenetfs и др., - сейчас находятся в стадии
планирования.

Этот пакет содержит основные модули файловых систем:
	ftpfs    - файловая система для доступа по FTP
	sshfs    - файловая система для доступа по SSH
	gnetfs   - файловая система для работы с Gnutella
	locasefs - файловая система с трансляцией имен в нижний регистр
	
%package devel
Summary: headers and development files for LUFS framework
Group: Development/C
Requires: lufs = %version
%description devel
LUFS is a hybrid kernel/userspace filesystem framework supporting many
filesystems: sshfs, ftpfs, localfs, locasefs, gvfs, cardfs, cefs, etc.
Lots of other "exotic" filesystems are in the planning phase:
socketfs, httpfs, freenetfs and others.

This package contains headers and other development files for LUFS

%package -n kernel-source-lufs
Summary: LUFS kernel module sources
Group: Development/Kernel
%description -n kernel-source-lufs
LUFS is a hybrid userspace filesystem framework supporting many
filesystems via external userland drivers

This package contains sources for lufs kernel module - the kernel part
of the LUFS.

%prep
%setup -q
%__tar -xjf %SOURCE4 -C filesystems/

%patch -p1 1 2

%__mkdir kernel-source-lufs-%version
%__cp -pr kernel/Linux/2.* kernel-source-lufs-%version
%__rm -f kernel-source-lufs-%version/2.[46]/[Mm]akefile*

%__install -p -m644 %SOURCE1 kernel-source-lufs-%version/2.4/Makefile
%__install -p -m644 %SOURCE2 kernel-source-lufs-%version/2.6/Makefile

%__tar -jcvf kernel-source-lufs-%version.tar.bz2 \
	kernel-source-lufs-%version

%build
%__libtoolize --copy --force
aclocal
autoconf
automake
%configure \
	--with-cxx --disable-suid \
	--disable-kernel-support \
        --enable-smbfs
%make_build

%install
make DESTDIR=%buildroot install

%__mkdir_p %kernel_srcdir
%__install -p -m644 kernel-source-lufs-%version.tar.bz2 \
	%kernel_srcdir

%__install -pD -m755 %SOURCE3 %buildroot/etc/control.d/facilities/lufsmount

# Clean stuff not needed in our environment:
%__mv -f %buildroot%_bindir/lufsd-bin %buildroot%_bindir/lufsd
%__rm -rf %buildroot/var
%__rm -rf %buildroot%_datadir/lufs
%__rm -f %buildroot%_bindir/lussh
# We also don't need .la files. At least right now...
# It's unlikely that somebody needs link them and lufsd uses stock
# dlopen to load them
%__rm -f %buildroot%_libdir/*.la

%files
%doc docs/lufs.sxw docs/lufs.txt
/etc/lufsd.conf
/etc/auto.*
/etc/control.d/*/*
/sbin/*
%_bindir/auto.*
%_bindir/lufsd
%_bindir/lufsmount
%attr(4711,root,root) %_bindir/lufsmnt
%attr(-,root,man) %_man1dir/lufsmount.1*

%_libdir/liblufs-localfs.so*

%files plugins
%_libdir/liblufs-*.so*
%exclude %_libdir/liblufs-localfs.so*

%files devel
%_includedir/lufs

%files -n kernel-source-lufs
%kernel_src/*

%changelog
* Thu Jun 17 2004 Dimitry V. Ketov <dketov@altlinux.ru> 0.9.7captive8-alt3smbfs
- Added smbfs plugin (See RFE 604237 at http//lufs.sf.net for details)

* Wed May 12 2004 Anton Farygin <rider@altlinux.ru> 0.9.7captive8-alt3
- fixed Makefile for kernel 2.6

* Fri Feb 27 2004 Alexey Morozov <morozov@altlinux.org> 0.9.7captive8-alt2
- Added aclocal, autoconf invocation to build with automake-1.8.x 

* Thu Feb  10 2004 Alexey Morozov <morozov@altlinux.org> 0.9.7captive8-alt1
- Initial build.


